ORG $4000
VERSN:	   ld	   sp,$43fe ; normalize STACK pointer to 43FEh (2 less than 4000 + 1k)
D_FILE:    ld	   hl,$4040 ; Code to be moved
	   ld	   e,$00    ; DE is 4049h after USR start. DE is now 4000h
	   ld	   b,e	    ; BC is 4009h after USR 4009h. BC is now 0009
	   jr	   SPARE1   ; $4021 (+$0d)
	   db	   $49	;?
	   db	   $40	;?
	   nop
	   nop
	   nop
	   nop
	   nop
	   nop
	   nop
	   nop
	   nop
	   nop
	   nop
 SPARE1:   ldir 	    ; move BC bytes from HL (4040h) to DE (4000h)
 S_TOP:    jr	   OLDPPC   ; $402b (+$06)
	   nop
	   nop
	   nop
	   nop
 NXTLIN:   dw	   402Eh    ; After loading from tape, start executing the BASIC statement at the specified address
 OLDPPC:   jp	   0340h    ; "LOAD" ROM subroutine
	   db	   0,1	    ; BASIC line number 1
	   dw	   0	    ; length of BASIC line (only critical if LISTing or if the line finishes)
	   db	   $f9	    ; RAND token
	   db	   $d4	    ; USR token
 FRAMES:   dw	   2525h    ; "99" (display number doubling as frames counter)
	   db	   $7e	    ; floating point marker
			    ; Floating point: 16393 (the actual number)
	   db	   $8f,$00,$12,$76,$76
	   db	   $0B,$0B  ; two quotes ""
	   db	   $76	    ; End Of Line marker
	   db	   $76
LOWCODE:   nop		    ;first few bytes of the game are located here, to be moved by the loader to 4000h
	   db	   $80,$00,$00,$3A,$26,$40,$3C,$28
	   nop